List segmentations for a file
curl --request GET \
--url https://api.cloudglue.dev/v1/files/{file_id}/segmentations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/files/{file_id}/segmentations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/files/{file_id}/segmentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": 1,
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segmentation_config": {
"uniform_config": {
"window_seconds": 60.5,
"hop_seconds": 60.5
},
"shot_detector_config": {
"threshold": 123,
"min_seconds": 300.3,
"max_seconds": 300.5,
"fill_gaps": true
},
"manual_config": {
"segments": [
{
"start_time": 123,
"end_time": 123
}
]
},
"narrative_config": {
"prompt": "<string>",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"keyframe_config": {
"frames_per_segment": 4,
"max_width": 2232
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"thumbnails_config": {
"enable_segment_thumbnails": true
},
"total_segments": 1
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Segmentation
List File Segmentations
List all segmentations for a specific file
GET
/
files
/
{file_id}
/
segmentations
List segmentations for a file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the file
Query Parameters
Number of segmentations to return
Required range:
1 <= x <= 100Offset from the start of the list
Required range:
x >= 0Response
List of segmentations
Object type, always 'list'
Available options:
list Array of segmentation objects
Show child attributes
Show child attributes
Total number of segmentations matching the query
Number of items returned in this response
Offset from the start of the list
⌘I